Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.bayes.net.search.ci
Class ICSSearchAlgorithm

    java.lang.Object
      weka.classifiers.bayes.net.search.SearchAlgorithm
          weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm
              weka.classifiers.bayes.net.search.ci.CISearchAlgorithm
                  weka.classifiers.bayes.net.search.ci.ICSSearchAlgorithm

All Implemented Interfaces:
  java.io.Serializable, OptionHandler

    public class ICSSearchAlgorithm

extends CISearchAlgorithm

ICSSearchAlgorithm implements Conditional Independence based search algorithm for Bayes Network structure learning.

Version:
  $Revision: 1.3.2.1 $
Author:
  Remco Bouckaert
See Also:
  Serialized Form

Field Summary

Fields inherited from class weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm
`TAGS_SCORE_TYPE`

Constructor Summary
`ICSSearchAlgorithm()`

Method Summary
`int` | `getMaxCardinality()`
`java.lang.String[]` | `getOptions()` Gets the current settings of the Classifier.
`java.lang.String` | `globalInfo()` This will return a string describing the search algorithm.
`java.util.Enumeration` | `listOptions()` Returns an enumeration describing the available options.
`static void` | `main(java.lang.String[] argv)`
`java.lang.String` | `maxCardinalityTipText()`
`void` | `setMaxCardinality(int nMaxCardinality)`
`void` | `setOptions(java.lang.String[] options)` Parses a given list of options.

Methods inherited from class weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm
`buildStructure, calcNodeScore, calcScoreWithExtraParent, calcScoreWithMissingParent, getMarkovBlanketClassifier, getScoreType, logScore, markovBlanketClassifierTipText, scoreTypeTipText, setMarkovBlanketClassifier, setScoreType`

Methods inherited from class weka.classifiers.bayes.net.search.SearchAlgorithm
`initAsNaiveBayesTipText, maxNrOfParentsTipText, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ICSSearchAlgorithm

    public ICSSearchAlgorithm()

Method Detail

### setMaxCardinality

    public void setMaxCardinality(int nMaxCardinality)

### getMaxCardinality

    public int getMaxCardinality()

### listOptions

    public java.util.Enumeration listOptions()

  Returns an enumeration describing the available options.

  Specified by:
    `listOptions` in interface `OptionHandler`
  Overrides:
    `listOptions` in class `LocalScoreSearchAlgorithm`
  Returns:
    an enumeration of all the available options.

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Parses a given list of options. Valid options are:

  Specified by:
    `setOptions` in interface `OptionHandler`
  Overrides:
    `setOptions` in class `LocalScoreSearchAlgorithm`
  Parameters:
    `options` - the list of options as an array of strings
  Throws:
    `java.lang.Exception` - if an option is not supported

### getOptions

    public java.lang.String[] getOptions()

  Gets the current settings of the Classifier.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Overrides:
    `getOptions` in class `LocalScoreSearchAlgorithm`
  Returns:
    an array of strings suitable for passing to setOptions

### maxCardinalityTipText

    public java.lang.String maxCardinalityTipText()

  Returns:
    a string to describe the MaxCardinality option.

### globalInfo

    public java.lang.String globalInfo()

  This will return a string describing the search algorithm.

  Returns:
    The string.

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD